Subject: Re: bug#79024: 31.0.50; Multiple working trees support for VC

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Aug 2025 18:10:30 +0300

> From: Sean Whitton <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 14 Aug 2025 14:43:10 +0100
> 
> > The vc-test-hg07-other-working-trees test still fails, but in a
> > different place now:
> >
> >   Test vc-test-hg07-other-working-trees condition:
> >       (error
> >        "Failed (status 255): hg --config ui.report_untrusted=0 --config=extensions.share= commit -A -l c:/Users/EliZ/AppData/Local/Temp/hg-msgjR8Sup foo")
> >
> > Any ideas?
> 
> Hmm, I recently changed vc-do-command to print command output for
> failing commands.  I assume there's nothing showing up?

Do you mean this:

  Checking in foo...
  abort: no username supplied
  (use 'hg config --edit' to set your username)

> Is it possible that your version of Mercurial lacks one of the -A or -l
> options?

Doesn't seem so, see below.

> I think we established that you do have the share extension,
> though maybe you don't?

Yes, I think so.

> I would suggest trying this manually something like this (translated to
> Windows speak)
> 
>     mkdir foo
>     cd foo
>     hg init
>     echo foo >bar
>     hg add bar
>     echo msg >../tmp
>     hg --config ui.report_untrusted=0 --config=extensions.share= commit
>     -A -l ../tmp bar

This works here, and the last command exits with zero status.  Does
the above really faithfully reproduces what the test does?